%define upstream_name    Eval-Compile
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Faster replacement for string evals. It takes evaled strings and compiles
into specific perl sub with some data, and do it once for any given string
So next execution take a fraction of first eval to execute.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165056
- imported package perl-Eval-Compile


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
